import sys
import os


if len(sys.argv) != 3:
	print 'Usage: {0} <wgEncodeGencodeBasicV11.txt> <kgXref.txt>'.format(sys.argv[0])
	sys.exit()

infile, kgxreffile = sys.argv[1:]

os.system('/home/xzhou/subtleKnife/script/refGene2bed {0} gencodev11Gene /home/xzhou/data/hg19/chromsize 1'.format(infile))




# load symbol - desc
s2d = {}
with open(kgxreffile) as fin:
	for line in fin:
		lst = line.rstrip().split('\t')
		if lst[4]!='' and lst[7]!='':
			s2d[lst[4]] = lst[7]

# load name - symbol - desc
desc = {}
with open(infile) as fin:
	for line in fin:
		lst = line.rstrip().split('\t')
		desc[lst[1]] = (lst[12], s2d[lst[12]] if lst[12] in s2d else 'No description')



fout = open('gencodev11Genesymbol','w')
with open('gencodev11Gene.struct.txt') as fin:
	for line in fin:
		lst = line.rstrip().split('\t')
		fout.write('{0}\t{1}\t{2}\t{3}\n'.format(lst[10], desc[lst[10]][0], desc[lst[10]][1], lst[0]))
fout.close()


print '''

drop table if exists gencodev11Genesymbol;
create table gencodev11Genesymbol (
name varchar(255) not null,
symbol varchar(255) null,
description text null,
id int unsigned not null primary key,
index(name)
);
load data local infile 'gencodev11Genesymbol' into table gencodev11Genesymbol;
'''

